1. Docs
  2. API Reference
  3. Revoke a specific identity session

Revoke a specific identity session

DELETE/v1/identity/auth/sessions/{id}

Path Parameters

Name Required Type Description
idRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X DELETE "https://api.canopy.dev/v1/identity/auth/sessions/value"

Responses

204 Session revoked
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
On this page

Related endpoints

POSTAuthenticate identity and receive tokens
POSTIdentity multi-App login: complete Application selection from pre-auth session
POSTRefresh identity access token
POSTLogout identity and revoke tokens
POSTVerify identity email address
POSTResend identity verification email
POSTRequest identity password reset
POSTReset identity password with token
POSTChange identity password (authenticated)
GETGet current identity profile
GETList identity active sessions
POSTLook up invite details by token
POSTAccept an invite